Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1043559 - Cannot obtain console.vv from a mobile device browser in User Portal
Summary: Cannot obtain console.vv from a mobile device browser in User Portal
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-userportal
Version: unspecified
Hardware: Unspecified
OS: Other
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Frantisek Kobzik
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-16 16:11 UTC by iordan
Modified: 2016-02-10 19:49 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:28:41 UTC
oVirt Team: Virt


Attachments (Terms of Use)
screen: "Connect" link to open VM console (8.02 KB, image/png)
2014-07-29 16:39 UTC, Pavel Novotny
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 26110 0 None MERGED frontend: Add console open link to basic UP Never

Description iordan 2013-12-16 16:11:39 UTC
Description of problem:
When one logs in at the oVirt User Portal, one is unable to obtain a console.vv file for any VM. The reason is that mobile browsers typically do not support double-clicking, and the only way to obtain the console.vv file is to double-click on a VM.

To support mobile devices, the User Portal needs either an added mechanism to obtain console.vv with a single-click or the existing double-click requirement replaced with a single-click.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
100%

Steps to Reproduce:
1. Login to User Portal with a mobile device using any mobile browser (Android versions of Firefox, Chrome, default browser, UCBrowser were tested).
2. Try to obtain a console.vv file by tapping on a VM.

Actual results:
Mobile browser typically use double-tap to zoom in/out, so you'll probably simply zoom in/out. Even on browsers that do not do this or can have it turned off, it seems impossible to send the double-click.

Expected results:
Being able to obtain a console.vv file with a single-click.

Additional info:

Comment 1 Itamar Heim 2014-01-12 08:42:10 UTC
setting target release to current version for consideration and review. please do not push non-RFE bugs to an undefined target release to make sure bugs are reviewed for relevancy, fix, closure, etc.

Comment 2 Michal Skrivanek 2014-01-29 15:41:20 UTC
I'd say either add an "open" link to the right hand side tab or add an icon similar to webadmin

Comment 3 iordan 2014-01-29 17:07:06 UTC
Hi Michael, I think a link to the right-hand side will be difficult to find for users. I am not sure what you mean by an icon similar to webadmin - is this something like my options (1) and (2) below? Let me add my comment from the mailing list here for reference as well.

Here are the suggestions I had in the mailing list:

(1) What about adding an icon (somewhat separated to reduce the likelihood of mis-taps) to the bottom row of icons where Run/Shutdown/Suspend are? This is not ideal, but if we put it all the way on the left where the "Run" button is, the danger is minimal.

(2) What do you think about changing the "Run" icon to an "Attach to console" icon once the machine is up instead of graying it out?

(3) Another possibility is dedicating one corner of the entire icon (e.g. top right) for the purpose. This way, users can still single-click/tap near the middle to see details and use the top right to get console.vv.

On a device with a small screen and touch interface, ideally one should be able to easily tap a (relatively) big icon for any functionality. Therefore, apart from these suggestions, I think that making all existing icons a bit bigger would make it easier for a users to tap on a mobile device with a small screen. What do you think?

Hopefully one or more of these ideas will work for you!

Comment 4 Michal Skrivanek 2014-02-14 14:52:04 UTC
I was thinking about (1). It should be simple enough

Comment 5 iordan 2014-02-20 14:10:08 UTC
Hi Michal,

(1) will work just fine, thanks! :)

iordan

Comment 6 Frantisek Kobzik 2014-03-04 09:21:36 UTC
hi there,
after discussion with other people, we believe it would be better to introduce the button in the right hand panel (where "Edit" link is) so that we won't occupy already limited space in the vm "square".

Comment 7 Pavel Novotny 2014-07-29 16:38:09 UTC
Verified in ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch (beta2).

There is new link "_Connect_" on the right hand panel which opens the VM console, see attached screenshot.

Comment 8 Pavel Novotny 2014-07-29 16:39:24 UTC
Created attachment 922217 [details]
screen: "Connect" link to open VM console

Comment 9 Sandro Bonazzola 2014-10-17 12:28:41 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.